Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class PluginInfo

    java.lang.Object
      org.hyperic.hq.product.PluginInfo

All Implemented Interfaces:
  Serializable

    public class PluginInfo

extends Object
implements Serializable

This class is for use by plugin managers to maintain information about a plugin in order to remove/update a plugin jar.

See Also:
  Serialized Form

Field Summary
`int` | `deploymentOrder`
`String` | `jar`
`String` | `md5`
`long` | `mtime`
`String` | `name`
`String` | `product`
`ClassLoader` | `resourceLoader`

Constructor Summary
`PluginInfo(ProductPlugin plugin, String jar)`
`PluginInfo(String name, PluginInfo info)`

Method Summary
`boolean` | `matches(PluginInfo info)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mtime

    public long mtime

### jar

    public String jar

### md5

    public String md5

### name

    public String name

### product

    public String product

### deploymentOrder

    public int deploymentOrder

### resourceLoader

    public transient ClassLoader resourceLoader

Constructor Detail

### PluginInfo

    public PluginInfo(ProductPlugin plugin,
                      String jar)

### PluginInfo

    public PluginInfo(String name,
                      PluginInfo info)

Method Detail

### matches

    public boolean matches(PluginInfo info)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.